commit:     31f7b22a93e4b5044a6697b84e66807d5f608731
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 10 22:46:15 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Jul 10 22:49:59 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31f7b22a

net-p2p/fms: migrate to EAPI 7, GLEP 81

Changes:
- Updated deps
- Updated init script for modern OpenRC
- Updated docs in pkg_postinst
- Update to EAPI 7
- Migrate to GLEP 81

Closes: https://bugs.gentoo.org/774516
Closes: https://bugs.gentoo.org/781446
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 net-p2p/fms/files/fms.initd      | 11 +++++
 net-p2p/fms/fms-0.3.82-r1.ebuild | 97 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 108 insertions(+)

diff --git a/net-p2p/fms/files/fms.initd b/net-p2p/fms/files/fms.initd
new file mode 100644
index 00000000000..fb76b701c51
--- /dev/null
+++ b/net-p2p/fms/files/fms.initd
@@ -0,0 +1,11 @@
+#!/sbin/openrc-run
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+pidfile="/run/fms.pid"
+start_stop_daemon_args="--chdir /var/freenet/fms"
+
+command="/usr/bin/fms"
+command_background="true"
+command_group="freenet"
+command_user="freenet"

diff --git a/net-p2p/fms/fms-0.3.82-r1.ebuild b/net-p2p/fms/fms-0.3.82-r1.ebuild
new file mode 100644
index 00000000000..ca07782f847
--- /dev/null
+++ b/net-p2p/fms/fms-0.3.82-r1.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit edos2unix cmake
+
+DESCRIPTION="A spam-resistant message board application for Freenet"
+# FMS only has a homepage within freenet, so the closest is a wiki linking to 
it
+HOMEPAGE="https://github.com/freenet/wiki/wiki/FMS";
+SRC_URI="https://dev.gentoo.org/~tommy/distfiles/${PN}-src-${PV}.zip";
+S="${WORKDIR}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="frost ssl"
+
+CDEPEND="
+       acct-group/freenet
+       acct-user/freenet
+"
+
+RDEPEND="
+       ${CDEPEND}
+       dev-db/sqlite:3=
+       dev-libs/poco
+       frost? ( net-libs/mbedtls:0= )
+       ssl? ( net-libs/mbedtls:0= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       ${CDEPEND}
+       app-arch/unzip
+       virtual/libiconv
+"
+
+PATCHES=( "${FILESDIR}/${PN}-use-system-libs4.patch" )
+
+DOCS=( "readme.txt" )
+
+src_prepare() {
+       # Convert encoding due applied patch
+       edos2unix src/http/pages/showfilepage.cpp
+       edos2unix CMakeLists.txt
+
+       # Remove bundled libs
+       rm -fr libs || die
+
+       cmake_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DDO_CHARSET_CONVERSION="ON"
+               -DFCP_SSL_SUPPORT="$(usex ssl 'ON' 'OFF')"
+               -DFROST_SUPPORT="$(usex frost 'ON' 'OFF')"
+               -DI_HAVE_READ_THE_README="ON"
+               -DUSE_BUNDLED_SQLITE="OFF"
+       )
+
+       cmake_src_configure
+}
+
+src_install() {
+       dobin "${BUILD_DIR}"/fms
+
+       insinto /var/freenet/fms
+       doins *.htm
+       doins -r fonts images styles translations
+
+       fperms -R o-rwx /var/freenet/fms
+       fowners -R freenet:freenet /var/freenet/fms
+
+       newinitd "${FILESDIR}/fms.initd" fms
+
+       einstalldocs
+}
+
+pkg_postinst() {
+       if ! has_version 'net-p2p/freenet' ; then
+               ewarn "FMS needs a freenet node to upload and download 
messages."
+               ewarn "Please make sure to have a node you can connect to"
+               ewarn "or install net-p2p/freenet to get FMS working."
+       fi
+
+       einfo "By default, the FMS NNTP server will listen on port 1119,"
+       einfo "and the web configuration interface will be running at"
+       einfo "http://localhost:8080.";
+       einfo "For more information, read the installed readme.txt."
+
+       if use frost; then
+               einfo
+               einfo "You need to enable frost on the configuration page"
+               einfo "and restart FMS for frost support."
+       fi
+}

Reply via email to